function::fp_to_string
Prev | Chapter 35. Floating point processing Tapset | Next

## Name

function::fp_to_string — Convert 64 bit floating point to string

## Synopsis

        fp_to_string:string(infp:long,precision:long)

## Arguments

`infp`

  the 64 bit floating point stored in long

`precision`

  number of digits after decimal point

## Description

Given a 64 bit floating point, which is stored in long, use the long value to initiate self-defined float64_t type, then apply the f64_to_i64 function to get the string representation.

Prev | Up | Next
function::fp_to_long | Home | function::long_to_fp